#!/bin/bash

. lib.sh

main() {
    gw="cangw -A -s can0 -d can1"
    sshgw $gw
    latester -d can0 -d can1 -d can2 -o -c $COUNT -h hist.dat -f time.dat
}

plot_cmds() {
    cat <<EOF
set title "$gw"
set logscale y
set grid
set xlabel "Time [{/Symbol m}s]"
set ylabel "Latency profile [messages]"
plot [0:1000] [1:$COUNT] \
          "hist.dat" with lp lt 1 title ""
EOF
}
    
test_end
    
